<?php
/**
* @author Amasty Team
* @copyright Copyright (c) 2022 Amasty (https://www.amasty.com)
* @package Custom Stock Status Countdown for Magento 2 (System)
*/

declare(strict_types=1);

namespace Amasty\CustomStockStatusTimer\Api\StockstatusTimerInformation;

use Amasty\CustomStockStatusTimer\Api\Data\StockstatusTimerInformationInterface;
use Magento\Framework\Exception\NoSuchEntityException;

/**
 * @api
 */
interface GetByStockstatusRuleIdInterface
{
    /**
     * @param int $ruleId
     * @return StockstatusTimerInformationInterface
     * @throws NoSuchEntityException
     */
    public function execute(int $ruleId): StockstatusTimerInformationInterface;
}
